{ Invokable interface IIEuroPoundSterling }

unit IEuroPoundSterlingIntf;

interface

uses InvokeRegistry, Types, XSBuiltIns;

type

  { Invokable interfaces must derive from IInvokable }
  IIEuroPoundSterling = interface(IInvokable)
  ['{6B361AF0-B4D8-45BD-A1E1-368AC51F440D}']
    function EuroToPound(Euro: Double): Double; stdcall;
    function PoundToEuro(Pound: Double): Double; stdcall;
    { Methods of Invokable interface must not use the default }
    { calling convention; stdcall is recommended }
  end;

implementation

initialization
  { Invokable interfaces must be registered }
  InvRegistry.RegisterInterface(TypeInfo(IIEuroPoundSterling));

end.
 